Bug 169563 - [patch] audio/jack-rack
Summary: [patch] audio/jack-rack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-30 05:40 UTC by Marcel Bonnet
Modified: 2013-02-28 10:50 UTC (History)
0 users

See Also:


Attachments
file.diff (498 bytes, patch)
2012-06-30 05:40 UTC, Marcel Bonnet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bonnet 2012-06-30 05:40:10 UTC
When attempting to run jack-rack, it stops because it miss the ALSA SEQUENCER device. What I've doing is to edit the Makefile, adding --disable-aseq to the CONFIG_ARGS, but after every ports update I'm back with the problem.

How-To-Repeat: $ jackd -r -d oss
$ jack-rack
Status update: jack_rack_72745
Status update: Connected to JACK server
Status update: Creating output port 'out_1'
Status update: Creating input port 'in_1'
Status update: Creating output port 'out_2'
Status update: Creating input port 'in_2'
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
/usr/local/lib/libproxy.so.1: invalid file format
Failed to load module: /usr/local/lib/gio/modules/libgiolibproxy.so
Assertion failed: (seq), function snd_seq_client_id, file seq.c, line 1174.
Comment 1 Edwin Groothuis freebsd_committer 2012-06-30 05:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-02-28 10:48:31 UTC
Author: makc
Date: Thu Feb 28 10:48:18 2013
New Revision: 313087
URL: http://svnweb.freebsd.org/changeset/ports/313087

Log:
  - Fix crash
  - Trim Makefile header and adjust COMMENT while I'm here
  
  PR:		ports/169563
  Submitted by:	Marcel <monovox.art@gmail.com>

Modified:
  head/audio/jack-rack/Makefile   (contents, props changed)

Modified: head/audio/jack-rack/Makefile
==============================================================================
--- head/audio/jack-rack/Makefile	Thu Feb 28 10:32:26 2013	(r313086)
+++ head/audio/jack-rack/Makefile	Thu Feb 28 10:48:18 2013	(r313087)
@@ -1,18 +1,14 @@
-# New ports collection makefile for:	jack-rack
-# Date created:				30 Dec 2006
-# Whom:					Jean-Yves Lefort <jylefort@FreeBSD.org>
-#
+# Created by: Jean-Yves Lefort <jylefort@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	jack-rack
 PORTVERSION=	1.4.7
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
 MAINTAINER=	multimedia@FreeBSD.org
-COMMENT=	A LADSPA effects rack for the JACK audio server
+COMMENT=	LADSPA effects rack for the JACK audio server
 
 BUILD_DEPENDS=	${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
 LIB_DEPENDS=	jack:${PORTSDIR}/audio/jack \
@@ -26,7 +22,7 @@ USE_PYTHON=	yes
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ARGS=	--disable-ladcca --disable-lash
+CONFIGURE_ARGS=	--disable-ladcca --disable-lash --disable-aseq
 
 post-patch:
 	@${REINPLACE_CMD} -e '/^jr_desktop_install/ s|/usr/share|${PREFIX}/share|' \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2013-02-28 10:48:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!